# $Revision: 1.30 $, $Date: 2012/03/07 19:47:40 $
Summary:	X Miscellaneous Utilities library
Summary(pl.UTF-8):	Biblioteka różnych funkcji użytkowych X
Name:		xorg-lib-libXmu
Version:	1.1.1
Release:	1
License:	MIT
Group:		X11/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/lib/libXmu-%{version}.tar.bz2
# Source0-md5:	a4efff8de85bd45dd3da124285d10c00
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	docbook-dtd43-xml
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xmlto >= 0.0.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXt-devel
BuildRequires:	xorg-lib-xtrans-devel
BuildRequires:	xorg-proto-xextproto-devel
BuildRequires:	xorg-sgml-doctools >= 1.8
BuildRequires:	xorg-util-util-macros >= 1.12
Obsoletes:	libXmu
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Miscellaneous Utilities library.

%description -l pl.UTF-8
Biblioteka różnych funkcji użytkowych X (X Miscellaneous Utilities).

%package devel
Summary:	Header files for libXmu and libXmuu libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek libXmu i libXmuu
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	xorg-lib-libXext-devel
Requires:	xorg-lib-libXt-devel
Obsoletes:	libXmu-devel

%description devel
X Miscellaneous Utilities library.

This package contains the header files needed to develop programs that
use libXmu or libXmuu.

%description devel -l pl.UTF-8
Biblioteka różnych funkcji użytkowych X (X Miscellaneous Utilities).

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXmu lub libXmuu.

%package static
Summary:	Static libXmu libraries
Summary(pl.UTF-8):	Biblioteki statyczne libXmu
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXmu-static

%description static
X Miscellaneous Utilities library.

This package contains the static libXmu library.

%description static -l pl.UTF-8
Biblioteka różnych funkcji użytkowych X (X Miscellaneous Utilities).

Pakiet zawiera statyczną bibliotekę libXmu.

%prep
%setup -q -n libXmu-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/libXmu.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXmu.so.6
%attr(755,root,root) %{_libdir}/libXmuu.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXmuu.so.1

%files devel
%defattr(644,root,root,755)
%doc doc/{Xmu.html,xlogo.svg}
%attr(755,root,root) %{_libdir}/libXmu.so
%attr(755,root,root) %{_libdir}/libXmuu.so
%{_libdir}/libXmu.la
%{_libdir}/libXmuu.la
%dir %{_includedir}/X11/Xmu
%{_includedir}/X11/Xmu/*.h
%{_pkgconfigdir}/xmu.pc
%{_pkgconfigdir}/xmuu.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libXmu.a
%{_libdir}/libXmuu.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-lib-libXmu.spec,v $
Revision 1.30  2012/03/07 19:47:40  qboosh
- updated to 1.1.1

Revision 1.29  2011/11/11 10:17:20  glen
- move api docs to -devel because files are generated and breaks multilib installs

Revision 1.28  2011/01/29 22:54:44  sparky
- BR: docbook-dtd43-xml

Revision 1.27  2011/01/29 00:08:03  sparky
- dropped pre-cvs changelog

Revision 1.26  2010/10/30 19:19:45  qboosh
- updated to 1.1.0

Revision 1.25  2009/11/12 10:26:42  patrys
- rebuild
- rel 2

Revision 1.24  2009/10/05 20:01:30  qboosh
- util-macros version
- ghost soname symlinks

Revision 1.23  2009/09/24 06:22:10  arekm
- up to 1.0.5

Revision 1.22  2008/11/05 23:29:13  arekm
- release 2

Revision 1.21  2008/01/15 08:28:47  arekm
- up to 1.0.4

Revision 1.20  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.18  2006/11/24 23:53:46  arekm
- rebuild

Revision 1.17  2006/11/21 00:24:40  arekm
- rebuild

Revision 1.16  2006/11/09 10:46:14  qboosh
- updated to 1.0.3

Revision 1.15  2006/05/26 15:59:02  qboosh
- updated to 1.0.2

Revision 1.14  2006/04/27 07:02:40  arekm
- up to 1.0.1

Revision 1.13  2006/03/08 22:08:10  qboosh
- release 1

Revision 1.12  2005/12/28 11:32:13  qboosh
- sources from X11R7.0 release

Revision 1.11  2005/12/20 13:09:18  qboosh
- 1.0.0 (X11R7.0-RC4)

Revision 1.10  2005/12/04 16:47:11  qboosh
- -devel desc fixes

Revision 1.9  2005/12/04 11:35:36  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.8  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.7  2005/10/20 21:59:21  qboosh
- own /usr/include/X11/Xmu dir

Revision 1.6  2005/10/20 21:04:20  qboosh
- 0.99.1 (X11R7.0-RC1)

Revision 1.5  2005/08/27 19:38:03  wiget
- kill /usr/X11R6

Revision 1.4  2005/08/27 17:56:06  qboosh
- cleanups, ported back to Linux

Revision 1.3  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.2  2005/08/17 20:10:46  qboosh
- Obsoletes for old xlibs or separate packages

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.17  2005/08/14 23:07:05  arekm
- modular X11R7.0-RC0 version (desc from trojan version to keep diffs as smallest as it's possible)
